Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2212233 - OpenColorIO: FTBFS in Fedora Rawhide
Summary: OpenColorIO: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenColorIO
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-06-04 22:45 UTC by Orion Poplawski
Modified: 2023-08-01 02:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-01 02:16:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github AcademySoftwareFoundation OpenColorIO issues 1801 0 None open Building documentation broke w/ doxygen 1.9.7? 2023-06-14 11:29:39 UTC

Description Orion Poplawski 2023-06-04 22:45:15 UTC
Description of problem:
Package OpenColorIO fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
2.2.1-2.fc38

Steps to Reproduce:
koji build --scratch f39 OpenColorIO-2.2.1-2.fc38.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/OpenColorIO

Reproducible: Always

Actual Results:  
In file included from /builddir/build/BUILD/OpenColorIO-2.2.1/src/bindings/python/PyOpenColorIO.h:18,
                 from /builddir/build/BUILD/OpenColorIO-2.2.1/src/bindings/python/PyColorSpaceSet.cpp:4:
/builddir/build/BUILD/OpenColorIO-2.2.1/src/bindings/python/PyColorSpaceSet.cpp: In function 'void OpenColorIO_v2_2::bindPyColorSpaceSet(pybind11::module&)':
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:14:58: error: '__doc_PyOpenColorIO_ConstColorSpaceSetRcPtr_operator_sub' was not declared in this scope
   14 | #define __DOC4(n1, n2, n3, n4)                           __doc_##n1##_##n2##_##n3##_##n4
      |                                                          ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:6:58: note: in definition of macro '__EXPAND'
    6 | #define __EXPAND(x)                                      x
      |                                                          ^
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:6:58: note: in expansion of macro '__DOC4'
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:18:67: note: in expansion of macro '__EXPAND'
   18 | #define DOC(...)                                         __EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))
      |                                                                   ^~~~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:10:58: note: in expansion of macro '__CAT1'
   10 | #define __CAT2(a, b)                                     __CAT1(a, b)
      |                                                          ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:18:76: note: in expansion of macro '__CAT2'
   18 | #define DOC(...)                                         __EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))
      |                                                                            ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/src/bindings/python/PyColorSpaceSet.cpp:59:14: note: in expansion of macro 'DOC'
   59 |              DOC(PyOpenColorIO, ConstColorSpaceSetRcPtr, operator, sub))
      |              ^~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:14:58: error: '__doc_PyOpenColorIO_ConstColorSpaceSetRcPtr_operator_lor' was not declared in this scope
   14 | #define __DOC4(n1, n2, n3, n4)                           __doc_##n1##_##n2##_##n3##_##n4
      |                                                          ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:6:58: note: in definition of macro '__EXPAND'
    6 | #define __EXPAND(x)                                      x
      |                                                          ^
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:6:58: note: in expansion of macro '__DOC4'
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:18:67: note: in expansion of macro '__EXPAND'
   18 | #define DOC(...)                                         __EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))
      |                                                                   ^~~~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:10:58: note: in expansion of macro '__CAT1'
   10 | #define __CAT2(a, b)                                     __CAT1(a, b)
      |                                                          ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:18:76: note: in expansion of macro '__CAT2'
   18 | #define DOC(...)                                         __EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))
      |                                                                            ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/src/bindings/python/PyColorSpaceSet.cpp:65:14: note: in expansion of macro 'DOC'
   65 |              DOC(PyOpenColorIO, ConstColorSpaceSetRcPtr, operator, lor))
      |              ^~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:14:58: error: '__doc_PyOpenColorIO_ConstColorSpaceSetRcPtr_operator_land' was not declared in this scope
   14 | #define __DOC4(n1, n2, n3, n4)                           __doc_##n1##_##n2##_##n3##_##n4
      |                                                          ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:6:58: note: in definition of macro '__EXPAND'
    6 | #define __EXPAND(x)                                      x
      |                                                          ^
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:6:58: note: in expansion of macro '__DOC4'
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:18:67: note: in expansion of macro '__EXPAND'
   18 | #define DOC(...)                                         __EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))
      |                                                                   ^~~~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:10:58: note: in expansion of macro '__CAT1'
   10 | #define __CAT2(a, b)                                     __CAT1(a, b)
      |                                                          ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/redhat-linux-build/docs/_doxygen/docstrings.h:18:76: note: in expansion of macro '__CAT2'
   18 | #define DOC(...)                                         __EXPAND(__EXPAND(__CAT2(__DOC, __VA_SIZE(__VA_ARGS__)))(__VA_ARGS__))
      |                                                                            ^~~~~~
/builddir/build/BUILD/OpenColorIO-2.2.1/src/bindings/python/PyColorSpaceSet.cpp:71:14: note: in expansion of macro 'DOC'
   71 |              DOC(PyOpenColorIO, ConstColorSpaceSetRcPtr, operator, land))
      |              ^~~


Not quite sure what change triggered this.

Comment 1 Richard Shaw 2023-08-01 02:16:11 UTC
I fixed this a while ago but failed to close the bug.


Note You need to log in before you can comment on or make changes to this bug.